CREATE TABLE cz_ui_cond_expr_nodes (
    EXPR_NODE_ID                NUMBER(18, 0) ,
    PARENT_EXPR_NODE_ID         NUMBER(18, 0) ,
    UI_CONDITION_ID             NUMBER(18, 0)     NOT NULL,
    START_OBJECT_VERSION        NUMBER(18, 0)     NOT NULL,
    EXPR_NODE_TYPE              VARCHAR2(120)     NOT NULL,
    SATTR_SOURCE                VARCHAR2(120) ,
    SATTR_SRC_NODE_REL_PATH     VARCHAR2(4000),
    SATTR_SRC_NODE_PATH         VARCHAR2(4000),
    SATTR_SRC_NODE_NAME_PATH    VARCHAR2(4000),
    SATTR_SRC_TRANS_ATTR_ID     NUMBER(18, 0) ,
    SATTR_SRC_TEMPL_PARAM       VARCHAR2(1020),
    SATTR_SIGNATURE_CODE        VARCHAR2(192) ,
    OPERATOR_CODE               VARCHAR2(120) ,
    VALUE                       VARCHAR2(4000),
    DELETED_FLAG                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    EXPR_NODE_ID                NUMBER(18, 0) ,
    PARENT_EXPR_NODE_ID         NUMBER(18, 0) ,
    UI_CONDITION_ID             NUMBER(18, 0)     NOT NULL,
    START_OBJECT_VERSION        NUMBER(18, 0)     NOT NULL,
    EXPR_NODE_TYPE              VARCHAR2(120)     NOT NULL,
    SATTR_SOURCE                VARCHAR2(120) ,
    SATTR_SRC_NODE_REL_PATH     VARCHAR2(4000),
    SATTR_SRC_NODE_PATH         VARCHAR2(4000),
    SATTR_SRC_NODE_NAME_PATH    VARCHAR2(4000),
    SATTR_SRC_TRANS_ATTR_ID     NUMBER(18, 0) ,
    SATTR_SRC_TEMPL_PARAM       VARCHAR2(1020),
    SATTR_SIGNATURE_CODE        VARCHAR2(192) ,
    OPERATOR_CODE               VARCHAR2(120) ,
    VALUE                       VARCHAR2(4000),
    DELETED_FLAG                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_cz_ui_cond_expr_nodes PRIMARY KEY (EXPR_NODE_ID, EXPR_NODE_ID)
);
